Subject: Re: linux-next: build failure after merge of the mfd tree

From: Lee Jones <[email-masked]>
Date: Mon, 28 Feb 2022 08:17:02 +0000

On Mon, 28 Feb 2022, Stephen Rothwell wrote:

> Hi Lee,
> 
> On Wed, 23 Feb 2022 17:03:43 +0000 Lee Jones <[email-masked]> wrote:
> >
> > On Wed, 23 Feb 2022, [email-masked] wrote:
> > 
> > > After merging the mfd tree, today's linux-next build (KCONFIG_NAME)
> > > failed like this:
> > > 
> > > /tmp/next/build/drivers/mfd/sprd-sc27xx-spi.c:255:35: error: redefinition of 'sprd_pmic_spi_ids'
> > >   255 | static const struct spi_device_id sprd_pmic_spi_ids[] = {
> > >       |                                   ^~~~~~~~~~~~~~~~~
> > > /tmp/next/build/drivers/mfd/sprd-sc27xx-spi.c:242:35: note: previous definition of 'sprd_pmic_spi_ids' was here
> > >   242 | static const struct spi_device_id sprd_pmic_spi_ids[] = {
> > >       |                                   ^~~~~~~~~~~~~~~~~
> > > 
> > > Caused by commit
> > > 
> > >   6fc90b92e9c7ef348 ("mfd: sprd: Add SPI device ID table")
> > > 
> > > I used the MFD tree from yesterday instead.  
> > 
> > Thanks.
> > 
> > Will fix for tomorrow.
> 
> I am still getting this build failure.  It is an x86_64 allmodconfig
> build.

The good news is, this is fixed locally.

The bad news is, I didn't push it to the public repo. :)

Should be fixed for tomorrow instead.

-- 
Lee Jones [李琼斯]
Principal Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog